package config

import (
	"github.com/zeromicro/go-zero/core/stores/cache"
	"github.com/zeromicro/go-zero/rest"
)

type Config struct {
	rest.RestConf
	Rpc
	Cache cache.CacheConf
	Sys   struct {
		PrimaryKey string
		Url        string
		Key        string
	}
}

type Rpc struct {
	Nacos Nacos
}

type Nacos struct {
	Target string
}
